Name:           grive
Version:        0.2.0
Release:        2%{?dist}
Summary:        An open source Linux client for Google Drive

Group:          Applications/Internet
License:        GPLv2
URL:            http://www.lbreda.com/grive/
Source0:        http://www.lbreda.com/grive/_media/packages/0.2.0/grive-0.2.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libcurl-devel
BuildRequires:  json-c-devel
BuildRequires:  expat-devel
BuildRequires:  openssl-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  binutils-devel

%description
The purpose of this project is to provide an independent open source 
implementation of Google Drive client for GNU/Linux. It uses the Google 
Document List API to talk to the servers in Google. 

%prep
%setup -q

%build
%cmake .

%if 0%{?fedora} >= 19
sed -i 's|libjson|libjson-c|g' CMakeCache.txt
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 icon/48x48/48x48.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/grive.1.gz
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Oct 11 2013 josef radinger <cheese@nosuchhost.net> - 0.2.0-2
- add icon

* Tue Oct 08 2013 josef radinger <cheese@nosuchhost.net> - 0.2.0-1
- initial version
